This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 678763 - Build with zlib support, use elinks as default HTML browser
Build with zlib support, use elinks as default HTML browser
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: man-db (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-19 07:41 EST by Ville Skyttä
Modified: 2011-03-23 10:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-23 10:09:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Build with zlib support, use elinks as default HTML browser (1.62 KB, patch)
2011-02-19 07:41 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2011-02-19 07:41:49 EST
Created attachment 479674 [details]
Build with zlib support, use elinks as default HTML browser

Adding zlib-devel to BuildRequires would enable this benefit (from NEWS):

   o A decompression library is now in place. This allows man-db to use
     zlib to decompress gzipped files, and allows most of its uses of
     temporary files to be removed. The only remaining exceptions are
     cat file creation (which uses a temporary file in the cat tree
     rather than in /tmp) and viewing HTML manual pages (which uses a
     temporary directory). Otherwise, man-db should now work fine even
     with a read-only /tmp during system recovery.

...and setting some browser as the default for HTML would make it more likely for --html to work out of the box and at least output more understandable error messages, and would fix --help output.  xdg-open would be ideal but it doesn't work here as some of the utils it invokes may exit too early (gvfs-open, gnome-open) thus resulting in man cleaning up the temporary HTML files before the viewer opens.  elinks is required by more apps than lynx so I chose it.  Not worth adding a dependency to it in my opinion.
Comment 1 Ivana Varekova 2011-03-23 10:09:13 EDT
Thanks added to man-db-2.5.9-6.fc16.

Note You need to log in before you can comment on or make changes to this bug.